| QxOrm 1.4.7 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Private Types
qx::QxSqlQueryBuilder< T > Class Template Reference
QxDao : QxOrm library database communication used by persistence engine (ORM - Object Relational Mapping)

qx::QxSqlQueryBuilder<T> : concrete SQL query builder for class T with a cache mechanism to backup and restore queries already built by the program More...

`#include <QxSqlQueryBuilder.h>`

Inheritance diagram for qx::QxSqlQueryBuilder< T >:

List of all members.

## Public Types
typedef qx::QxSqlQueryBuilder < T >::type_sql_tmp_2 | type_sql
## Public Member Functions
| QxSqlQueryBuilder ()
virtual | ~QxSqlQueryBuilder ()
virtual void | init ()
## Private Types
typedef qx::trait::remove_attr < T >::type | type_sql_tmp_1
typedef qx::trait::remove_smart_ptr < type_sql_tmp_1 >::type | type_sql_tmp_2

## Detailed Description

### template<class T>
class qx::QxSqlQueryBuilder< T >

qx::QxSqlQueryBuilder<T> : concrete SQL query builder for class T with a cache mechanism to backup and restore queries already built by the program

Definition at line 79 of file QxSqlQueryBuilder.h.

## Member Typedef Documentation

template<class T>

typedef qx::QxSqlQueryBuilder<T>::type_sql_tmp_2 qx::QxSqlQueryBuilder< T >::type_sql

Reimplemented in qx::QxSqlQueryBuilder_FetchById_WithRelation< T >, qx::QxSqlQueryBuilder_FetchAll_WithRelation< T >, qx::QxSqlQueryBuilder_Count_WithRelation< T >, qx::QxSqlQueryBuilder_CreateTable< T >, qx::QxSqlQueryBuilder_SoftDeleteById< T >, qx::QxSqlQueryBuilder_DeleteById< T >, qx::QxSqlQueryBuilder_SoftDeleteAll< T >, qx::QxSqlQueryBuilder_DeleteAll< T >, qx::QxSqlQueryBuilder_Update< T >, qx::QxSqlQueryBuilder_Insert< T >, qx::QxSqlQueryBuilder_FetchById< T >, qx::QxSqlQueryBuilder_FetchAll< T >, qx::QxSqlQueryBuilder_Exist< T >, and qx::QxSqlQueryBuilder_Count< T >.

Definition at line 89 of file QxSqlQueryBuilder.h.

template<class T>

typedef qx::trait::remove_attr<T>::type qx::QxSqlQueryBuilder< T >::type_sql_tmp_1`[private]`

Definition at line 84 of file QxSqlQueryBuilder.h.

template<class T>

typedef qx::trait::remove_smart_ptr<type_sql_tmp_1>::type qx::QxSqlQueryBuilder< T >::type_sql_tmp_2`[private]`

Definition at line 85 of file QxSqlQueryBuilder.h.

## Constructor & Destructor Documentation

template<class T>

qx::QxSqlQueryBuilder< T >::QxSqlQueryBuilder | ( |  | ) | `[inline]`

Definition at line 93 of file QxSqlQueryBuilder.h.

template<class T>

virtual qx::QxSqlQueryBuilder< T >::~QxSqlQueryBuilder | ( |  | ) | `[inline, virtual]`

Definition at line 94 of file QxSqlQueryBuilder.h.

## Member Function Documentation

template<class T>

virtual void qx::QxSqlQueryBuilder< T >::init | ( |  | ) | `[inline, virtual]`

Reimplemented from qx::IxSqlQueryBuilder.

Definition at line 96 of file QxSqlQueryBuilder.h.

The documentation for this class was generated from the following file:

- C:/Dvlp/_Perso/QxOrm/include/QxDao/QxSqlQueryBuilder.h